function Xah(){Tfd.call(this)}
function Oah(a,b,d,e){CGd.call(this,a,b,d);this.a=e}
function lhh(a){var b;if(!a.k){b=new Vah((_1i(nee(a.a)),Yoj(pee(a.a))));a.k=b}return a.k}
function khh(a){var b;if(!a.j){b=new Oah(MFd(Jce(a.a)),lhh(a),jhh(a),PMg(Dde(a.a)));YFd((Kce(a.a),b),VGd(Kce(a.a)));a.j=b}return a.j}
function Vah(){pAf.call(this,q3b);this.a=new mBf(q3b,this);this.o="Provides translation services for physical sources, which can be integrated using a Teiid's VDB"}
K3c(4522,1013,pzj,Oah);_.Ui=function(){};_.Zi=function(){this.A.Er()};_.bj=function(){Vvf(this.a,this)};K3c(4525,2877,qAj,Vah);_.Ch=function(){return hAf(this)};_.Br=function(){return this.a};_.Cr=function(){return n7j};_.Gr=function(){var a;a=new E_f(this.n);I1d(a,BHj,D1d(sM(L2c,iyj,263,[T1i(w1i(this.r,GBj),sM(i2c,iyj,235,[])),T1i(w1i(this.r,BZj),sM(i2c,iyj,235,[]))])));return a};_.Kr=function(){var a,b;b=new dsg(5);G7c(b,new U3g,YIj);a=new Xah;U7c(b,b.u.b,a,new Vfd(f$j));return b};K3c(4526,677,Zyj,Xah);_.rd=function(a){return a.lL()};K3c(4593,1,Xzj);_.ud=function(){uHd(this.b,khh(this.a.a))};var g2b=sOd(4522),i2b=sOd(4525),h2b=sOd(4526);JAj(np)(18);